Index: freebsd-to-rtems.py
===================================================================
--- freebsd-to-rtems.py	(revision 90916f12b7853c770bf4b36b7cf5ed5e51af3bfd)
+++ freebsd-to-rtems.py	(revision 5ae0a03e80f603de293b5e27f922c848e993e96b)
@@ -268,4 +268,12 @@
 class PathComposer(object):
 	def composeFreeBSDPath(self, path):
+		return path
+
+	def composeRTEMSPath(self, path, prefix):
+		path = prefix + path
+		return path
+
+class FreeBSDPathComposer(PathComposer):
+	def composeFreeBSDPath(self, path):
 		return FreeBSD_DIR + '/' + path
 
@@ -281,5 +289,5 @@
 		return path
 
-class CPUDependentPathComposer(PathComposer):
+class CPUDependentPathComposer(FreeBSDPathComposer):
 	def composeRTEMSPath(self, path, prefix):
 		path = super(CPUDependentPathComposer, self).composeRTEMSPath(path, prefix)
@@ -581,8 +589,8 @@
 
 	def addHeaderFiles(self, files):
-		self.files = self.addFiles(self.files, files, PathComposer(), FromFreeBSDToRTEMSHeaderConverter(), FromRTEMSToFreeBSDHeaderConverter(), assertHeaderFile)
+		self.files = self.addFiles(self.files, files, FreeBSDPathComposer(), FromFreeBSDToRTEMSHeaderConverter(), FromRTEMSToFreeBSDHeaderConverter(), assertHeaderFile)
 
 	def addUserSpaceHeaderFiles(self, files):
-		self.files = self.addFiles(self.files, files, PathComposer(), FromFreeBSDToRTEMSUserSpaceHeaderConverter(), FromRTEMSToFreeBSDHeaderConverter(), assertHeaderFile)
+		self.files = self.addFiles(self.files, files, FreeBSDPathComposer(), FromFreeBSDToRTEMSUserSpaceHeaderConverter(), FromRTEMSToFreeBSDHeaderConverter(), assertHeaderFile)
 
 	def addRTEMSHeaderFiles(self, files):
@@ -597,8 +605,8 @@
 
 	def addSourceFiles(self, files):
-		self.files = self.addFiles(self.files, files, PathComposer(), FromFreeBSDToRTEMSSourceConverter(), FromRTEMSToFreeBSDSourceConverter(), assertSourceFile, SourceFileMakefileFragmentComposer())
+		self.files = self.addFiles(self.files, files, FreeBSDPathComposer(), FromFreeBSDToRTEMSSourceConverter(), FromRTEMSToFreeBSDSourceConverter(), assertSourceFile, SourceFileMakefileFragmentComposer())
 
 	def addUserSpaceSourceFiles(self, files):
-		self.files = self.addFiles(self.files, files, PathComposer(), FromFreeBSDToRTEMSUserSpaceSourceConverter(), FromRTEMSToFreeBSDSourceConverter(), assertSourceFile, SourceFileMakefileFragmentComposer())
+		self.files = self.addFiles(self.files, files, FreeBSDPathComposer(), FromFreeBSDToRTEMSUserSpaceSourceConverter(), FromRTEMSToFreeBSDSourceConverter(), assertSourceFile, SourceFileMakefileFragmentComposer())
 
 	def addRTEMSSourceFiles(self, files):
@@ -2146,5 +2154,5 @@
 			'\t	rpcgen -h -o $@ $<\n'
 
-userSpace.addFile(File('include/rpc/rpcb_prot.x', PathComposer(), Converter(), Converter(), RPCGENMakefileFragmentComposer()))
+userSpace.addFile(File('include/rpc/rpcb_prot.x', FreeBSDPathComposer(), Converter(), Converter(), RPCGENMakefileFragmentComposer()))
 
 class RouteKeywordsMakefileFragmentComposer(MakefileFragmentComposer):
@@ -2159,5 +2167,5 @@
 			'\trm -f ' + tmpPath + '\n'
 
-userSpace.addFile(File('sbin/route/keywords', PathComposer(), Converter(), Converter(), RouteKeywordsMakefileFragmentComposer()))
+userSpace.addFile(File('sbin/route/keywords', FreeBSDPathComposer(), Converter(), Converter(), RouteKeywordsMakefileFragmentComposer()))
 
 class LexMakefileFragmentComposer(MakefileFragmentComposer):
@@ -2190,8 +2198,8 @@
 			'\tmv ' + self.sym + '.tab.h ' + hdr + '\n'
 
-rtems.addFile(File('lib/libc/net/nslexer.l', PathComposer(), Converter(), Converter(), LexMakefileFragmentComposer('_nsyy', 'nsparser.c')))
-rtems.addFile(File('lib/libc/net/nsparser.y', PathComposer(), Converter(), Converter(), YaccMakefileFragmentComposer('_nsyy', 'nsparser.h')))
-rtems.addFile(File('lib/libipsec/policy_token.l', PathComposer(), Converter(), Converter(), LexMakefileFragmentComposer('__libipsecyy', 'policy_parse.c')))
-rtems.addFile(File('lib/libipsec/policy_parse.y', PathComposer(), Converter(), Converter(), YaccMakefileFragmentComposer('__libipsecyy', 'y.tab.h')))
+rtems.addFile(File('lib/libc/net/nslexer.l', FreeBSDPathComposer(), Converter(), Converter(), LexMakefileFragmentComposer('_nsyy', 'nsparser.c')))
+rtems.addFile(File('lib/libc/net/nsparser.y', FreeBSDPathComposer(), Converter(), Converter(), YaccMakefileFragmentComposer('_nsyy', 'nsparser.h')))
+rtems.addFile(File('lib/libipsec/policy_token.l', FreeBSDPathComposer(), Converter(), Converter(), LexMakefileFragmentComposer('__libipsecyy', 'policy_parse.c')))
+rtems.addFile(File('lib/libipsec/policy_parse.y', FreeBSDPathComposer(), Converter(), Converter(), YaccMakefileFragmentComposer('__libipsecyy', 'y.tab.h')))
 
 userSpace.addUserSpaceSourceFiles(
